#!/bin/bash

##getArtifical_reads hla.exon.fasta exon-70bp.fastq;
dedupe.sh -Xmx500m in=$1.fq out=$1_de_duplication.fq;
awk '{{if(NR%4==1) print ">"$0};{if(NR%4==2) print $0}}' $1_de_duplication.fq > $1_de_duplication.fasta;
bowtie-build $1_de_duplication.fasta $1_de_duplication.index;
bowtie -S -k 1 --best -p 10 --solexa-quals -v 0 $1_de_duplication.index exon-70bp.fastq $1_de_duplication.sam; 
awk '{if($3!="*" && $6=="70M") print $1}' $1_de_duplication.sam | sort -k1 > $1_filter.txt;
cat $1_de_duplication.sam | awk '{if($3=="*") print $1}' | awk -F "-" '{if(NF==5) print $2"-"$3"-"$4"\t"$4}' | sort -n -k1 | uniq -c | awk '{if($3-$1==69) print $2}' | awk -F "-" '{print $1}' | sort | uniq > $1_false_allele_list.txt;
filterAllele $1_filter.txt $1_false_allele_list.txt $1_first_retain_allele.txt;
rm -rf *.sam *.ebwt $1_de_duplication.fasta $1_filter.txt $1_false_allele_list.txt;
