#!/bin/bash

##Reciprocative screen
getAlleleSeq_2 hla.exon.fasta $1_second_retain_allele.txt $1_second_retain_allele.fasta;
awk '{if(NR%4==1) print "@"int(NR/4+1);else print $0}' $1_de_duplication.fq > $1_mark.fq;
bowtie2-build $1_second_retain_allele.fasta $1_second_retain_allele;
bowtie2 --local -a -p 15 -N 0 --rdg 200,199 --mp 200,199 --np 100 -x $1_second_retain_allele -U $1_mark.fq -S $1_second_retain_allele.sam;
mapReads $1_second_retain_allele.sam $1_allele_reads.txt;
rm -rf *bt2 *.sam *mark.fq;

#first round
allelePool_1 $1_allele_reads.txt $1_real_allele_pool_1.txt $1_false_allele_pool_1.txt;
allelePairScore $1_allele_reads.txt $1_real_allele_pool_1.txt $1_false_allele_pool_1.txt $1_report_allele_pair_1.txt;

#second round
allelePool_2 $1_allele_reads.txt $1_real_allele_pool_1.txt $1_false_allele_pool_1.txt $1_report_allele_pair_1.txt $1_real_allele_pool_2.txt $1_false_allele_pool_2.txt;
allelePairScore $1_allele_reads.txt $1_real_allele_pool_2.txt $1_false_allele_pool_2.txt $1_report_allele_pair_2.txt;
removeFalse $1_allele_reads.txt $1_report_allele_pair_2.txt $1_real_allele_pair.txt;
reportAllele $1_allele_reads.txt $1_real_allele_pair.txt $1_report.txt;
rm -rf *allele*.txt *second_retain_allele.fasta *position-array.txt;

#Null-allele checking
nullAllele $1_report.txt nullAllele_list.txt $1_de_duplication.fq $1_report_null.txt;
rm -rf $1_report.txt;